Nimbu Developer Docs
ReferenceThemes

Show a theme with all related resources

GET
/themes/{theme_id}

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Path Parameters

theme_id*string

Theme slug or ID

Header Parameters

X-Nimbu-Site*string

Site identifier

Response Body

application/json

curl -X GET "https://example.com/themes/string" \  -H "X-Nimbu-Site: string"
{
  "theme": {
    "id": "string",
    "url": "http://example.com",
    "permalink": "http://example.com",
    "name": "string",
    "short": "string",
    "cdn_root": "http://example.com",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  },
  "layouts": [
    {
      "id": "string",
      "url": "http://example.com",
      "permalink": "http://example.com",
      "name": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "changed_by": {},
      "changed_live": true
    }
  ],
  "templates": [
    {
      "id": "string",
      "url": "http://example.com",
      "permalink": "http://example.com",
      "name": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "changed_by": {},
      "changed_live": true
    }
  ],
  "snippets": [
    {
      "id": "string",
      "url": "http://example.com",
      "permalink": "http://example.com",
      "name": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "changed_by": {},
      "changed_live": true
    }
  ],
  "assets": [
    {
      "id": "string",
      "url": "http://example.com",
      "permalink": "http://example.com",
      "public_url": "http://example.com",
      "name": "string",
      "folder": "string",
      "path": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "changed_by": {},
      "changed_live": true,
      "code": "string"
    }
  ]
}
Empty